Search Products
Search products available to your partner account.
Request
Query parameters
Page number of the search result. Minimum value allowed is 1.
A limit on the number of items returned. Allowed value can range between 1 and 100.
Sort order for the results.
SKU_ASC— Sort by SKU in ascending orderSKU_DESC— Sort by SKU in descending orderNAME_ASC— Sort by name in ascending orderNAME_DESC— Sort by name in descending order
The product catalog to search.
REFERENCE— Product catalog for reference checkingESTORE— Product catalog for eStoreSTARLINK— Product catalog for Starlink ASP
Search query string.
Filter results by product kind.
HARDWARE— A hardware productACCESSORY— An accessory product
Filter results by SKUs.
Only for catalog: REFERENCE. Filter results by NFR coupon request eligibility.
Only for catalog: ESTORE. Filter results by product nature.
PHYSICAL— A physical productVIRTUAL— A virtual product
Only for catalog: ESTORE. Filter results by product series.
VELOCITY— Velocity seriesVELOCITY_PLUS— Velocity Plus seriesBLUECHIP— Bluechip seriesVOLUME_BASED— Volume Based series
Only for catalog: STARLINK. Filter results by Starlink country code.
Only for catalog: STARLINK. Filter results by Starlink product types.
PHYSICAL— Starlink KIT or accessorySHIPMENT— Shipment optionTERMINAL_ACCESS_CHARGE— Terminal access charge for service lineDATA— Starlink data for service line planDATA_TOPUP— Top-up data for service line
Only for catalog: STARLINK. Filter results by Starlink service line type.
LOCAL— Local priority data planGLOBAL— Global priority data plan
Only for catalog: ESTORE, STARLINK. Set true to include partner price information in the response via partnerPrice. partnerPrice is null unless this is set to true.
Response
A json is returned in the response body with the following fields:
Total number of records found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.
Returns products found for the current page of search result.
Show child attributes
SKU of the product.
Name of the product.
Only for catalog: ESTORE, STARLINK. Kind of the product.
HARDWARE— A hardware productACCESSORY— An accessory product
Only for catalog: ESTORE. Product nature of the product.
PHYSICAL— A physical productVIRTUAL— A virtual product
Only for catalog: ESTORE. Product series of the product.
VELOCITY— Velocity seriesVELOCITY_PLUS— Velocity Plus seriesBLUECHIP— Bluechip seriesVOLUME_BASED— Volume Based series
Only for catalog: ESTORE. Description of the product.
Only for catalog: ESTORE. Default image of the product. null if the product has no image.
Show child attributes
Full URL of the default image.
Thumbnail URL of the default image.
Only for catalog: ESTORE. SKUs of the option products for the product.
Only for catalog: ESTORE. 2-char ISO country codes for country of origin of the product.
Only for catalog: ESTORE. Product length in millimeters.
Only for catalog: ESTORE. Product width in millimeters.
Only for catalog: ESTORE. Product height in millimeters.
Only for catalog: ESTORE. Product weight in grams.
Only for catalog: ESTORE. Package length in millimeters.
Only for catalog: ESTORE. Package width in millimeters.
Only for catalog: ESTORE. Package height in millimeters.
Only for catalog: ESTORE. Package weight in grams.
Only for catalog: STARLINK. Countries where the Starlink product is available. Only includes countries enabled for your partner account. Empty if the product is not available in any of them.
Show child attributes
ISO 3166-1 alpha-2 country code.
Starlink product ID of the product in this country.
Only for catalog: STARLINK. Product type of the Starlink product.
PHYSICAL— Starlink KIT or accessorySHIPMENT— Shipment optionTERMINAL_ACCESS_CHARGE— Terminal access charge for service lineDATA— Starlink data for service line planDATA_TOPUP— Top-up data for service line
Only for catalog: STARLINK. Service line type of the Starlink product.
LOCAL— Local priority data planGLOBAL— Global priority data plan
Only for catalog: STARLINK. Data volume for the Starlink service line.
Only for catalog: STARLINK. Data unit for the Starlink service line.
GB— GigabytesTB— Terabytes
Only for catalog: STARLINK. SKUs of the shipment option products for the Starlink product.
Only for catalog: STARLINK. SKUs of the add-on option products for the Starlink product.
Only for catalog: STARLINK. SKUs of the free item option products for the Starlink product.
Only for catalog: STARLINK. SKUs of the free router option products for the Starlink product.
Only for catalog: ESTORE, STARLINK. Partner price for the product. null unless the request set exportPartnerPrice=true.
Show child attributes
3-char ISO currency code for the partner price.
Unit price without partner discounts. Can be treated as MSRP.
Unit price after partner discounts.
Examples
For catalog: REFERENCE
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/products/search?pageNum=1&pageSize=5&catalog=REFERENCE' \ -H 'Authorization: Bearer {token}'Response
{
"totalCount": 1,
"items": [
{
"sku": "SKU-001",
"name": "Product Name"
}
]
}For catalog: ESTORE
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/products/search?pageNum=1&pageSize=5&catalog=ESTORE&exportPartnerPrice=true' \ -H 'Authorization: Bearer {token}'Response
{
"totalCount": 1,
"items": [
{
"sku": "B-ONE-T-PRM",
"name": "B One",
"kind": "HARDWARE",
"productNature": "PHYSICAL",
"productSeries": "VELOCITY",
"description": "Product description.",
"defaultImage": {
"fullUrl": "https://example.com/image.jpg",
"thumbnailUrl": "https://example.com/image-thumb.jpg"
},
"optionSkus": [
"LIC-DOC",
"LIC-2VWAN",
"LIC-VWAN",
"MAX-BR1-ADV",
"LIC-2OPN-WAN",
"SFC-RLY-LC-05",
"PVN-LC-20",
"PRM-A-1Y",
"SFC-RLY-LC-20",
"SFC-CLD-B",
"SFC-CLD-A",
"SFC-CLD-D",
"SFC-CLD-C",
"SFC-CLD-F",
"SFC-CLD-E",
"LIC-OPN-WAN",
"SFC-CLD-G",
"PCP-A-1Y",
"AP-LC-50",
"PRM-A-4Y",
"SFC-CLD-Z",
"LIC-4CPPROF",
"PRM-A-2Y",
"SFC-RLY-LC-10",
"LIC-3VWAN",
"LIC-4OPN-WAN",
"PVN-LC-10",
"SFC-CLD-U-1M",
"PCP-A-2Y",
"LIC-3OPN-WAN",
"PCP-A-4Y",
"SFC-CLD-U-1Y",
"SFC-RLY-LC-50"
],
"countryOfOriginCode": "TW",
"productLengthMm": 262,
"productWidthMm": 161,
"productHeightMm": 33,
"productWeightGram": 730,
"packageLengthMm": 285,
"packageWidthMm": 197,
"packageHeightMm": 80,
"packageWeightGram": 1200,
"partnerPrice": {
"currency": "USD",
"originalUnitPrice": 1234.2,
"unitPrice": 1200.3
}
}
]
}For catalog: STARLINK
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/products/search?pageNum=1&pageSize=5&catalog=STARLINK&starlinkCountryCode=US&exportPartnerPrice=true' \ -H 'Authorization: Bearer {token}'Response
{
"totalCount": 1,
"items": [
{
"sku": "SKU-SL-001",
"name": "Starlink Product Name",
"kind": "HARDWARE",
"starlinkCountries": [
{
"countryCode": "US",
"starlinkProductId": "starlink-product-id-001"
}
],
"starlinkProductType": "PHYSICAL",
"starlinkServiceLineType": "GLOBAL",
"starlinkServiceLineDataVolume": null,
"starlinkServiceLineDataUnit": null,
"starlinkShipmentOptionSkus": ["SKU-SL-SHIP-001"],
"starlinkAddonOptionSkus": [],
"starlinkFreeItemOptionSkus": [],
"starlinkFreeRouterOptionSkus": [],
"partnerPrice": {
"currency": "USD",
"originalUnitPrice": 1234.2,
"unitPrice": 1200.3
}
}
]
}